Aller au contenu

Lister les réservations d'un établissement (liste front-desk / calendrier)

GET
/v1/reservations
curl --request GET \
--url 'https://example.com/v1/reservations?pageSize=20&page=1&establishmentId=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \
--header 'X-API-Key: <X-API-Key>'
pageSize
integer
>= 1 <= 100
Example
20
page
integer
>= 1
Example
1
search
string
<= 200 characters

Recherche sur nom booker ou n° de confirmation

status
Array<string>
Allowed values: tentative confirmed checked_in checked_out closed cancelled no_show walked
checkOutTo
string format: date

Filtre départs : date check-out <= (YYYY-MM-DD). checkOutFrom=checkOutTo=J pour les départs du jour ; checkInTo<=J ET checkOutFrom>J pour l’in-house

checkOutFrom
string format: date

Filtre départs : date check-out >= (YYYY-MM-DD)

checkInTo
string format: date
checkInFrom
string format: date
establishmentId
required
string format: uuid

Page de réservations

Media type application/json
object
data
required
Array<object>
object
id
required
string format: uuid
confirmationNumber
string
nullable
status
required
string
Allowed values: tentative confirmed checked_in checked_out closed cancelled no_show walked
guestProfileId
required
string format: uuid
bookerContactName
string
checkInDate
required
string format: date
checkOutDate
required
string format: date
unitTypeId
string format: uuid
establishmentId
required
string format: uuid
ratePlanId
string format: uuid
totalAmountCents

Total en centimes (bigint string) — null si non figé

string
nullable
currency
string
nullable
Allowed values: EUR GBP
createdAt
string format: date-time
meta
required
object
page
required
integer
>= 1
pageSize
required
integer
>= 1
total
required
integer
Example
{
"data": [
{
"status": "tentative",
"currency": "EUR"
}
],
"meta": {
"page": 1,
"pageSize": 20,
"total": 42
}
}

Paramètres invalides

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}

Non authentifié

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}

Permission refusée ou scope IDOR

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}